% Options for packages loaded elsewhere
\PassOptionsToPackage{unicode}{hyperref}
\PassOptionsToPackage{hyphens}{url}
\PassOptionsToPackage{dvipsnames,svgnames,x11names}{xcolor}
%
\documentclass[
  letterpaper,
  DIV=11,
  numbers=noendperiod]{scrartcl}

\usepackage{amsmath,amssymb}
\usepackage{iftex}
\ifPDFTeX
  \usepackage[T1]{fontenc}
  \usepackage[utf8]{inputenc}
  \usepackage{textcomp} % provide euro and other symbols
\else % if luatex or xetex
  \usepackage{unicode-math}
  \defaultfontfeatures{Scale=MatchLowercase}
  \defaultfontfeatures[\rmfamily]{Ligatures=TeX,Scale=1}
\fi
\usepackage[]{libertinus}
\ifPDFTeX\else  
    % xetex/luatex font selection
\fi
% Use upquote if available, for straight quotes in verbatim environments
\IfFileExists{upquote.sty}{\usepackage{upquote}}{}
\IfFileExists{microtype.sty}{% use microtype if available
  \usepackage[]{microtype}
  \UseMicrotypeSet[protrusion]{basicmath} % disable protrusion for tt fonts
}{}
\makeatletter
\@ifundefined{KOMAClassName}{% if non-KOMA class
  \IfFileExists{parskip.sty}{%
    \usepackage{parskip}
  }{% else
    \setlength{\parindent}{0pt}
    \setlength{\parskip}{6pt plus 2pt minus 1pt}}
}{% if KOMA class
  \KOMAoptions{parskip=half}}
\makeatother
\usepackage{xcolor}
\usepackage[top=30mm,left=20mm,heightrounded]{geometry}
\setlength{\emergencystretch}{3em} % prevent overfull lines
\setcounter{secnumdepth}{-\maxdimen} % remove section numbering
% Make \paragraph and \subparagraph free-standing
\ifx\paragraph\undefined\else
  \let\oldparagraph\paragraph
  \renewcommand{\paragraph}[1]{\oldparagraph{#1}\mbox{}}
\fi
\ifx\subparagraph\undefined\else
  \let\oldsubparagraph\subparagraph
  \renewcommand{\subparagraph}[1]{\oldsubparagraph{#1}\mbox{}}
\fi


\providecommand{\tightlist}{%
  \setlength{\itemsep}{0pt}\setlength{\parskip}{0pt}}\usepackage{longtable,booktabs,array}
\usepackage{calc} % for calculating minipage widths
% Correct order of tables after \paragraph or \subparagraph
\usepackage{etoolbox}
\makeatletter
\patchcmd\longtable{\par}{\if@noskipsec\mbox{}\fi\par}{}{}
\makeatother
% Allow footnotes in longtable head/foot
\IfFileExists{footnotehyper.sty}{\usepackage{footnotehyper}}{\usepackage{footnote}}
\makesavenoteenv{longtable}
\usepackage{graphicx}
\makeatletter
\def\maxwidth{\ifdim\Gin@nat@width>\linewidth\linewidth\else\Gin@nat@width\fi}
\def\maxheight{\ifdim\Gin@nat@height>\textheight\textheight\else\Gin@nat@height\fi}
\makeatother
% Scale images if necessary, so that they will not overflow the page
% margins by default, and it is still possible to overwrite the defaults
% using explicit options in \includegraphics[width, height, ...]{}
\setkeys{Gin}{width=\maxwidth,height=\maxheight,keepaspectratio}
% Set default figure placement to htbp
\makeatletter
\def\fps@figure{htbp}
\makeatother

\KOMAoption{captions}{tableheading}
\makeatletter
\makeatother
\makeatletter
\makeatother
\makeatletter
\@ifpackageloaded{caption}{}{\usepackage{caption}}
\AtBeginDocument{%
\ifdefined\contentsname
  \renewcommand*\contentsname{Table of contents}
\else
  \newcommand\contentsname{Table of contents}
\fi
\ifdefined\listfigurename
  \renewcommand*\listfigurename{List of Figures}
\else
  \newcommand\listfigurename{List of Figures}
\fi
\ifdefined\listtablename
  \renewcommand*\listtablename{List of Tables}
\else
  \newcommand\listtablename{List of Tables}
\fi
\ifdefined\figurename
  \renewcommand*\figurename{Figure}
\else
  \newcommand\figurename{Figure}
\fi
\ifdefined\tablename
  \renewcommand*\tablename{Table}
\else
  \newcommand\tablename{Table}
\fi
}
\@ifpackageloaded{float}{}{\usepackage{float}}
\floatstyle{ruled}
\@ifundefined{c@chapter}{\newfloat{codelisting}{h}{lop}}{\newfloat{codelisting}{h}{lop}[chapter]}
\floatname{codelisting}{Listing}
\newcommand*\listoflistings{\listof{codelisting}{List of Listings}}
\usepackage{amsthm}
\theoremstyle{definition}
\newtheorem{exercise}{Exercise}[section]
\theoremstyle{remark}
\AtBeginDocument{\renewcommand*{\proofname}{Proof}}
\newtheorem*{remark}{Remark}
\newtheorem*{solution}{Solution}
\makeatother
\makeatletter
\@ifpackageloaded{caption}{}{\usepackage{caption}}
\@ifpackageloaded{subcaption}{}{\usepackage{subcaption}}
\makeatother
\makeatletter
\@ifpackageloaded{tcolorbox}{}{\usepackage[skins,breakable]{tcolorbox}}
\makeatother
\makeatletter
\@ifundefined{shadecolor}{\definecolor{shadecolor}{rgb}{.97, .97, .97}}
\makeatother
\makeatletter
\makeatother
\makeatletter
\makeatother
\ifLuaTeX
  \usepackage{selnolig}  % disable illegal ligatures
\fi
\IfFileExists{bookmark.sty}{\usepackage{bookmark}}{\usepackage{hyperref}}
\IfFileExists{xurl.sty}{\usepackage{xurl}}{} % add URL line breaks if available
\urlstyle{same} % disable monospaced font for URLs
\hypersetup{
  pdftitle={IA168 AGT -- Homework \#1},
  pdfauthor={Štěpán Zapadlo},
  colorlinks=true,
  linkcolor={blue},
  filecolor={Maroon},
  citecolor={Blue},
  urlcolor={Blue},
  pdfcreator={LaTeX via pandoc}}

\title{IA168 AGT -- Homework \#1}
\author{Štěpán Zapadlo}
\date{2023-11-15}

\begin{document}
\maketitle
% Declare mathematics (so they can be overwritten for PDF)
\gdef \declareMathematics#1#2{\gdef #1{\mathrm{#2}\,}}
\gdef \declareMathematicsStar#1#2{\gdef #1{\mathrm{#2}\,}}

% Font styles
\gdef \mcal#1{\mathcal{#1}}

% Sets
\gdef \C{\mathbb{C}}
\gdef \R{\mathbb{R}}
\gdef \Z{\mathbb{Z}}
\gdef \N{\mathbb{N}}

% Basic notation - vectors and random variables 
\gdef \vi#1{\boldsymbol{#1}} %standard vector
\gdef \dvi#1{\vi{\dot{#1}}} %differentiated vector
\gdef \vii#1{\mathbf{#1}} %still a vector if vi doesn't work
\gdef \dvii#1{\vii{\dot{#1}}} %differ. vector
\gdef \vr#1{\mathbf{#1}} %matrix
\gdef \dvr#1{\vr{\dot{#1}}} %differ. matrix
\gdef \vb#1{\pmb{#1}} %#TODO
\gdef \dvb#1{\vb{\dot{#1}}} %#TODO

% Basic notation - general
\gdef \set#1{\left\{#1\right\}}
\gdef \brackets#1{\left( #1 \right)}
\gdef \dom#1{\mcal{D}\, \brackets{#1}}

% Special symbols
\gdef \vf{\varphi}
\gdef \ve{\varepsilon}
\gdef \xx{\vi x}
\gdef \tht{\theta}

% Basic functions
\gdef \absval#1{\left| #1 \right|}
\gdef \id{\mathrm{id}}
\gdef \floor#1{\left\lfloor #1 \right\rfloor}
\declareMathematics{\im}{im} %image
\declareMathematics{\tg}{tg}
\declareMathematics{\sign}{sign}
\declareMathematics{\card}{card} %cardinality
\declareMathematics{\exp}{exp}
\gdef \indicator#1{\mathbb{I}_{#1}}

% Operators - Analysis
\gdef \hess{\nabla}
\gdef \lagr{\mcal L}
\declareMathematics{\grad}{grad}
\gdef \d{\mathrm{d}}
\gdef \partialDeriv#1#2{\frac {\partial #1} {\partial #2}}
\gdef \partialOp#1{\frac {\partial} {\partial #1}}
\gdef \deriv#1#2{\frac {\d #1} {\d #2}}
\gdef \derivOp#1{\frac {\d} {\d #1}\,}

% Linear algebra
\gdef \norm#1{\left\lVert #1 \right\rVert}
\gdef \scal#1#2{\left\langle #1, #2 \right\rangle}
\gdef \avg#1{\overline{#1}}

% Linear algebra - Matrices
\gdef \tr{\top}
\gdef \Tr{^\tr}
\gdef \pinv{\dagger}
\gdef \Pinv{^\dagger}
\gdef \ident{\mathbb{I}}
\gdef \mtr#1{\begin{pmatrix}#1\end{pmatrix}}
\gdef \bmtr#1{\begin{bmatrix}#1\end{bmatrix}}

% Statistics
\gdef \noise{\mcal{N}}
\gdef \iid{\overset{\text{iid}}{\sim}}
\gdef \ind{\overset{\text{ind}}{\sim}}
\gdef \acov{\gamma}
\gdef \acf{\rho}
\gdef \stdev{\sigma}
\declareMathematics{\variance}{var}
\gdef \Variance#1{\variance \brackets{#1}}
\declareMathematics{\cov}{cov}
\declareMathematics{\corr}{cor}
\declareMathematics{\expectedValue}{E}
\gdef \expect#1{\expectedValue #1}
\gdef \Expect#1{\expectedValue \brackets{#1}}
\gdef \WN#1#2{\mathrm{WN}\brackets{#1,#2}}
\declareMathematics{\uniform}{Unif}
\gdef \pdist{\sigma}


% Game Theory
\gdef \doms{\succ}
\gdef \isdom{\prec}
\gdef \OfOthers#1{_{-#1}}
\gdef \ofOthers{\OfOthers{i}}
\gdef \domGame#1{G_{DS}^{#1}}
\gdef \ratGame#1{G_{Rat}^{#1}}
\gdef \bestRep#1#2{\mathrm{BR}_{#1}\brackets{#2}}


% Optimization
\declareMathematicsStar{\argmin}{argmin}
\declareMathematicsStar{\argmax}{argmax}
\declareMathematics{\prox}{prox}
\declareMathematics{\loss}{loss}
\declareMathematics{\supp}{supp}
\gdef \Koop{\mcal K}
\gdef \oneToN#1{\left[#1\right]}
\gdef \constraint{\text{s.t.}\;}

% Useful commands
\gdef \onTop#1#2{\mathrel{\overset{#2}{#1}}}
\gdef \onBottom#1#2{\mathrel{\underset{#2}{#1}}}
\gdef \tOnTop#1#2{\mathrel{\overset{\text{#2}}{#1}}}
\gdef \EQ{\onTop{=}{!}}
\gdef \isPDef{\onTop{\succ}{?}}

\setcounter{section}{1}
\renewcommand{\theexercise}{\arabic{exercise}}

\ifdefined\Shaded\renewenvironment{Shaded}{\begin{tcolorbox}[frame hidden, breakable, sharp corners, borderline west={3pt}{0pt}{shadecolor}, enhanced, interior hidden, boxrule=0pt]}{\end{tcolorbox}}\fi

\begin{exercise}[]\protect\hypertarget{exr-first}{}\label{exr-first}

Consider a game where Player 1 selects a positive even integer less than
7 and, at the same time, Player 2 selects a positive odd integer less
than 7. The payoff of the player with the higher selected number is the
absolute difference of the selected numbers and the payoff of the other
player is the sum of the selected numbers. Give a formal description of
this game as a two-player strategic-form game (i.e., according to the
definition from the lectures).

\end{exercise}

\begin{solution}

Surely \(N = \left\{1, 2\right\}\). From the description of the game we
also obtain \(S_1 = \left\{2, 4, 6\right\}\) and
\(S_2 = \left\{1,3,5\right\}\). Lastly, the payoffs are given by \[
\begin{aligned}
    u_1(s_1, s_2) &= \begin{cases}
        \left| s_1 - s_2 \right|, & s_1 > s_2 \\
        s_1 + s_2, & s_1 < s_2
    \end{cases}, \\
    & \& \\
    u_2(s_1, s_2) &= \begin{cases}
        \left| s_1 - s_2 \right|, & s_2 > s_1 \\
        s_1 + s_2, & s_2 < s_1
    \end{cases},
\end{aligned}
\] from which we get the game in the strategic form
\(G = (N, (S_i)_{i \in N}, (u_i)_{i \in N})\).

\end{solution}

\begin{exercise}[]\protect\hypertarget{exr-second}{}\label{exr-second}

Consider a \textbf{zero-sum} game, where each player has exactly four
strategies, called \(A_1, B_1, C_1, D_1\), and \(A_2, B_2, C_2, D_2\),
respectively. Define the utility function of this game so that for both
\(i \in \left\{1, 2\right\}\), all of the following conditions are
satisfied:

\begin{itemize}
\tightlist
\item
  the strategy \(A_i\) of player \(i\) is strictly dominated;
\item
  the strategy \(B_i\) of player \(i\) is never-best-response, but not
  strictly dominated;
\item
  the strategy \(C_i\) of player \(i\) is not never-best-response;
\item
  \((D_1, D_2)\) is the only Nash equilibrium of the game.
\end{itemize}

\end{exercise}

\begin{solution}

Let \(U\) be the payoff matrix for this game -- as it is a zero-sum
game, then given the payoff matrix
\(U = (u_{i,j})_{i,j \in \left\{1,\dots,4\right\}}\) of player 1 we also
know the payoff matrix \(V\) of player 2 follows \(V = -U\).

Notice that the first condition is satisfied when \emph{there must exist
indices \(j,k \in \left\{2,3,4\right\}\) such that for all indices
\(i \in \left\{1,2,3,4\right\}\) \(u_{1, i} < u_{j, i}\) and
\(u_{i, 1} > u_{i, k}\)}. Here the first part corresponds to strict
domination of \(A_1\) by \(j\)-th strategy for player 1, and analogously
the second part to strict domination of \(A_2\) by \(k\)-th strategy for
player 2.

We shall now focus on the second condition, that is \(B_i\) must be a
never-best-response and not strictly dominated by any other strategy for
both players \(i \in \left\{1,2\right\}\). This surely holds true, when
\emph{for all indices \(i \in \left\{1,2,3,4\right\}\) there must exist
indices \(j,k \in \left\{1,3,4\right\}\) such that \(u_{2,i} < u_{j,i}\)
and \(u_{i,2} > u_{i,k}\). At the same time for all indices
\(i' \in \left\{1,2,3,4\right\}\) there exist indices
\(j', k' \in \left\{1,3,4\right\}\) and
\(l,l' \in \left\{1,2,3,4\right\} \setminus \left\{i'\right\}\) such
that \(u_{2,i'} < u_{j', i'}\) while also \(u_{2,l} \geq u_{j', l}\) and
simarly \(u_{i', 2} > u_{i', k'}\) while also
\(u_{l', 2} \leq u_{l', k'}\)}.

The third condition is similarly satisfied by: \emph{there must exist
indices \(i,j \in \left\{1,2,3,4\right\}\) such that for all
\(k \in \left\{1,2,4\right\}\) holds \(u_{3,i} \geq u_{k,i}\) and also
\(u_{j, 3} \leq u_{j, k}\)}.

Finally the last condition is true when \emph{for all
\(i \in \left\{1, 2, 3\right\}\) it holds that \(u_{4,4} \geq u_{i,4}\)
and \(u_{4,4} \leq u_{4,i}\) and for all
\(j,k \in \left\{1, 2, 3, 4\right\}\) with \(j \neq k\) there exist
index \(l \in \left\{1,2,3,4\right\}\) such that the profile \((j,k)\)
follows \(u_{j,k} < u_{l,k}\) and/or \(u_{j,k} > u_{j,l}\)}.

Now consider a particular choice of \(U\) as \[
U = \begin{pmatrix}
    -1          & -1            & -2            & -\frac 3 2    \\
    1           & 0             & -\frac 5 2    & 0             \\
    \frac 3 2   & 1             & 1             & -\frac 1 2    \\
    1           & \frac 3 2     & \frac 1 2     & \frac 1 2
\end{pmatrix}.
\]

It is now easy to check that this payoff matrix \(U\) satisfies all
conditions, as \(D_i\) dominates \(A_i\) for both players
\(i \in \left\{1,2\right\}\). Furthermore, given a belief
\(b \in \left\{A_i, B_i, C_i, D_i\right\}\) it is always better to play
\(D_i\) or \(C_i\) to a belief \(b\) rather than \(B_i\) for both
players \(i \in \left\{1,2\right\}\) but there is no strategy (neither
\(C_i\) nor \(D_i\)) that would be better to play for all beliefs \(b\).

On the same note, it is easy to see that \(C_1\) is a best response to a
belief \(C_2\) and similarly \(C_2\) is a best response to a belief
\(A_1\). Last but not least, \((D_1, D_2)\) is sure a Nash equilibrium
and it can be easily checked that it is the only one.

\end{solution}

\begin{exercise}[]\protect\hypertarget{exr-third}{}\label{exr-third}

For each \(n \in \left\{0, 1, \dots, 6\right\}\), give an example of a
game where Player 1 has exactly 2 strategies, Player 2 has exactly 3
strategies and there are exactly \(n\) Nash equilibria.

\end{exercise}

\begin{solution}

From the instructions easily follows that \(N = \left\{1,2\right\}\)
with \(S_1 = {a,b}, S_2={1,2,3}\) and all such games can be prescribed
by a payoff matrix \(U\) for both players \[
U = \begin{pmatrix}
    (a_1, a_1') & (a_2, a_2') & (a_3, a_3') \\
    (b_1, b_1') & (b_2, b_2') & (b_3, b_3')
\end{pmatrix},
\] where \(a_1\) is the payoff of player 1 for a profile \((a,1)\) and
\(a_1'\) is the payoff of player 2 for the same case. Thus for

\begin{enumerate}
\def\labelenumi{\arabic{enumi}.}
\tightlist
\item
  \(n = 0\), payoff matrix \[
   U = \begin{pmatrix}
       (0, 1) & (0, 0) & (1, 0) \\
       (1, 0) & (0, 0) & (0, 1)
   \end{pmatrix}
   \] satisfies the required number of Nash equilibria, i.e.~zero.
\item
  \(n \geq 1\), then the payoff matrix may be given by \[
   U = \begin{pmatrix}
       (1,1) & (1,\mathbb{I}_{n \geq 2}) & (1,\mathbb{I}_{n \geq 3}) \\
       (\mathbb{I}_{n \geq 4},1) & (\mathbb{I}_{n \geq 5},\mathbb{I}_{n \geq 2}) & (\mathbb{I}_{n = 6},\mathbb{I}_{n \geq 3}) 
   \end{pmatrix},
   \] where we define an \emph{indicator} as \[
   \mathbb{I}_{\text{condition}} = \begin{cases} 
       1, & \text{condition}, \\ 
       0, & \text{otherwise}.
   \end{cases}
   \] Now it is easy to check that for each \(n \geq 1\), this
  configuration of the payoff matrix \(U\) satisfies the desired number
  of Nash equilibria (notice that for \(n \geq 1\) Nash equilibria are
  ``added'' row-wise to the payoff matrix \(U\)).
\end{enumerate}

\end{solution}

\begin{exercise}[]\protect\hypertarget{exr-fourth}{}\label{exr-fourth}

Consider a game with \textbf{mixed} strategies, where each player has
exactly two pure strategies, called \(A_1\), \(B_1\), and \(A_2\),
\(B_2\), respectively. The utility functions are defined by the
following table:

\begin{longtable}[]{@{}lll@{}}
\toprule\noalign{}
& \(A_2\) & \(B_2\) \\
\midrule\noalign{}
\endhead
\bottomrule\noalign{}
\endlastfoot
\(A_1\) & \((a,4)\) & \((-a,2)\) \\
\(B_1\) & \((3,1)\) & \((1,3)\) \\
\end{longtable}

In dependence on the parameter \(a \in \mathbb{R}\), find all Nash
equilibria of this game, and for each of them, decide whether it is
Pareto-optimal. Justify your reasoning.

\end{exercise}

\begin{solution}

The utility functions \(u_1, u_2\) can be rewritten as follows
\begin{equation}\protect\hypertarget{eq-mixed-utilities}{}{
\begin{aligned}
u_1(x,y) &= axy + 3(1-x)y - ax(1-y) + 1(1-x)(1-y) \\
    &= ax(2y-1) + (1-x)(2y + 1), \\
u_2(x,y) &= 4xy + 1(1-x)y + 2x(1-y) + 3(1-x)(1-y) \\
    &= y(3x + 1) + (1-y)(3 - x).
\end{aligned}
}\label{eq-mixed-utilities}\end{equation}

Let \(\sigma^* = (\sigma_1^*, \sigma_2^*)\) be some Nash equilibrium.
Consider a case, when the
\(\mathrm{supp}\,(\sigma_1^*) = \left\{A_1, B_1\right\}\), i.e.~such
Nash equilibrium is purely mixed, then:

\begin{equation}\protect\hypertarget{eq-mixed-1}{}{
\begin{aligned}
u_1(A_1, y) = u_1(B_1, y) \implies a(2y - 1) &= 2y + 1 \\
    2y(a-1) &= 1 + a \\
    y &= \frac {1 + a} {2(a-1)}.
\end{aligned}
}\label{eq-mixed-1}\end{equation}

Notice that for \(a = -1\) and \(a = 3\), \(y\) becomes \(0\) and \(1\)
respectively, which violates the assumption that \(y\) gives a pure
mixed strategy equilibrium. Hence for \(a \in [-1, 3]\), there is no
Nash equilibrium in purely mixed strategies, as \(y\) would either be
negative, bigger than 1, or for \(a = 1\), there is no solution for
\(y\) given our assumption on the \(\mathrm{supp}\,(\sigma_1^*)\).

Similarly, for the second player, we obtain

\begin{equation}\protect\hypertarget{eq-mixed-2}{}{
\begin{aligned}
u_2(x, A_2) = u_2(x, B_2) \implies 3x + 1 &= 3 - x \\
    4x &= 2 \implies x = \frac 1 2.
\end{aligned}
}\label{eq-mixed-2}\end{equation}

If there exists a pure mixed strategy Nash equilibrium, then there is at
most 1 and is of form \[
    \sigma^*_m = \left( \frac 1 2, \frac {1 + a} {2(a-1)} \right).
\]

For \(a \geq -1\), \((B_1, B_2)\) is also an equilibrium, just as
\((A_1, A_2)\) is also an equilibrium for \(a \geq 3\). Should only 1
player mix, it is easy to see it has to be player 1. Now should player 2
play \(A_2\), then mixing makes sense for player 1 only for \(a = 3\),
when \(x \in [0,1]\). But at the same time, rational player 2 plays
\(A_2\) only when
\begin{equation}\protect\hypertarget{eq-only-partial-mix-3}{}{
\begin{aligned}
    u_2(x, 1) &> u_2(x, 0) \\
    3x+1 &> 3 - x \\
    x &\geq \frac 1 2.
\end{aligned}
}\label{eq-only-partial-mix-3}\end{equation}

Similarly, for player \(2\) playing \(B_2\), the player 1 should mix
only for \(a = -1\) with \(x \in [0,1]\). Using the same idea as in
(\ref{eq-only-partial-mix-3}) we get that rational player 2 plays pure
\(B_2\) only when \[
\begin{aligned}
    u_2(x, 0) &> u_2(x, 1) \\
    3-x &> 3x - 1 \\
    x &\leq \frac 1 2.
\end{aligned}
\]

Putting this all together, for

\begin{enumerate}
\def\labelenumi{\arabic{enumi}.}
\tightlist
\item
  \(a < -1\), there is only purely mixed Nash equilibrium
  \(\left( \frac 1 2, \frac {1 + a} {2(a-1)} \right)\),
\item
  \(a = -1\), then all Equilibria are of form \((x, B_2)\) for every
  \(x \in \left[0, \frac 1 2 \right]\)
\item
  \(a \in (-1, 3)\), there is only one Nash equilibrium \((B_1, B_2)\),
\item
  \(a = 3\), then there is a pure Nash equilibrium \((A_1, A_2)\) and
  all other Equilibria are of form \((x, A_2)\) for every
  \(x \in \left[\frac 1 2, 1 \right]\),
\item
  \(a > 3\), there are 3 Nash equilibria, \((A_1,A_2)\) and
  \((B_1, B_2)\) in pure strategies, and a purely mixed Nash equilibrium
  \(\left( \frac 1 2, \frac {1 + a} {2(a-1)} \right)\).
\end{enumerate}

Notice that a partially mixed equilibrium is Pareto-dominated by its
corresponding pure Nash equilibrium. For the mixing player, it does not
matter (by definition), but for the player playing a pure strategy two
cases might happen

\begin{enumerate}
\def\labelenumi{\arabic{enumi}.}
\tightlist
\item
  there are at least two equal payoffs for a given row/column upon which
  the other player mixes,
\item
  every payoff is different in a given row/column upon which the other
  player mixes.
\end{enumerate}

Clearly, the second condition applies for both cases of partially mixed
Nash equilibria, so our initial statement about Pareto-domination of
partially mixed Nash equilibria holds. To evaluate Pareto-domination of
\(\sigma^*_m\), substitute (\ref{eq-mixed-1}) into
(\ref{eq-mixed-utilities}) gives us
\begin{equation}\protect\hypertarget{eq-mixed-pareto}{}{
\begin{aligned}
    u_1(a) &= a \frac 1 2 \left( 2  \frac {1 + a} {2(a-1)} - 1 \right) + \left( 1 - \frac 1 2 \right) \left( 2 \frac {1 + a} {2(a-1)} + 1 \right) \\
        &= a \frac 1 2 \frac {1 + a - (a - 1)} {a - 1} + \frac 1 2 \frac {1 + a + (a - 1)} {a - 1} \\
        &= \frac {a + a} {a - 1} = \frac {2a} {a - 1}, \\
    u_2(a) &= \frac {1 + a} {2(a-1)} \left( 3 \frac 1 2 + 1 \right) + \left( 1 - \frac {1 + a} {2(a-1)} \right) \left( 3 - \frac 1 2 \right) \\
        &= \frac 5 {4(a-1)} \left( (1 + a) + (2(a - 1) - (1 + a)) \right) \\
        &= \frac 5 {4(a-1)} \left( 1 + a + 2a - 2 - 1 - a \right) = \frac 5 2.
\end{aligned}
}\label{eq-mixed-pareto}\end{equation}

The concept of Pareto-domination can be thought of in terms of positions
of strategies in \(u_1, u_2\)-plane. Payoffs of all mixed strategies
then lie in the convex hull given by \(u_1, u_2\) values of pure
strategies. Also, realize conditions of Pareto-optimality are satisfied
only if for a given point \((u, v)\) in the \(u_1, u_2\)-plane, there is
no \((u', v')\) from the convex hull of payoffs of pure strategies that
is above and/or to the right of \((u,v)\).

Furthermore, notice that points \(A = (u_1(A_1,A_2), u_2(A_1, A_2))\)
and \(B = (u_1(A_1,B_2), u_2(A_1, B_2))\) only move in the \(u_1\) axis
with varying \(a\), and that points \(C\), and \(D\) in the
\(u_1, u_2\)-plane corresponding to \((B_1, A_2)\), and \((B_1, B_2)\),
respectively, are not dependent on \(a\). As we have discussed earlier,
it is sufficient to study only pure or purely mixed existing Nash
equilibria.

To show that for \(a < -1\) the mixed strategies Nash equilibrium with
corresponding point \(M = (u_1(\sigma^*_m), u_2(\sigma_m^*))\) in
\(u_1, u_2\)-plane is Pareto-dominated, it at first suffices to
calculate the dot product of vector from \(DS\) to \(M\),
e.g.~\(M - D\), with the normal vector \(\boldsymbol{n}_{CD}\) of the
line \(CD\) (which is fixed for varying \(a\)). The normal vector is
\(\boldsymbol{n}_{CD} = (-1,-1)\) and thus from (\ref{eq-mixed-pareto})
we obtain \begin{equation}\protect\hypertarget{eq-m-under-cd}{}{
\left\langle \boldsymbol{n}_{CD}, M - D \right\rangle = \left\langle (-1, -1), M - (1,3) \right\rangle = - \frac {2a} {a-1} + 1 - \frac 5 2 + 3 = \frac {2a} {1 - a} + \frac 3 2 > 0
}\label{eq-m-under-cd}\end{equation} for \(a \in (-3, -1)\). Then we can
repeat this process for the normal vector \(\boldsymbol{n}_{BD}\) of the
line \(BD\), which has the form \[
B - D = (-a - 1, 2 - 3) = (-a - 1, -1) \implies \boldsymbol{n}_{BD} = (-1, a + 1),
\] hence \begin{equation}\protect\hypertarget{eq-m-under-bd}{}{
\begin{aligned}
    \left\langle \boldsymbol{n}_{BD}, M - D \right\rangle &= \left\langle (-1, a+1), M - (1,3) \right\rangle \\
        &= - \frac {2a} {a-1} + 1 + (a+1) (\frac 5 2 - 3) \\
        &= \frac {2a} {1 - a} + 1 - \frac a 2 - \frac 1 2 \\
        &= \frac {2a - \frac 1 2 a(1 - a)} {1 - a} + \frac 1 2 \\
        &= \frac {2a - \frac a 2  + \frac {a^2} 2} {1 - a} + \frac 1 2 \\
        &= \frac {a^2 + 3a} {2(1 - a)} + \frac 1 2 > 0
\end{aligned}
}\label{eq-m-under-bd}\end{equation} for all \(a < -3\). Combining
(\ref{eq-m-under-cd}) and (\ref{eq-m-under-bd}) produces that \(M\)
stays ``under'' the edge (thus in a Pareto-suboptimal space) of the
convex hull for all considered \(a < -1\), see
Figure~\ref{fig-convex-hulls-1}, which implies that \(\sigma_m^*\) is
not Pareto-optimal. Using similar arguments, again see
Figure~\ref{fig-convex-hulls}, it can be proven that for

\begin{itemize}
\tightlist
\item
  \(a < -1\) the strategy profile \((B_1, B_2)\) is Pareto-optimal but
  is not a Nash equilibrium,
\item
  \(a \in [-1, 0]\) the strategy profile \((B_1, B_2)\) is
  Pareto-optimal and \textbf{is} a pure Nash equilibrium. The mixed Nash
  equilibrium \(\sigma^*_m\) exists in this case but from
  (\ref{eq-mixed-pareto}) follows easily that is it Pareto-dominated by
  \((B_1, B_2)\),
\item
  \(a \in (0, 3)\) the strategy profile \((A_1, A_2)\) is Pareto-optimal
  but is not a Nash equilibrium (in this case, whole line segment \(AC\)
  is actually Pareto-optimal, as opposed to only point \(A\)). For
  example a mixed strategy profile \(\left( \frac 2 3, 1 \right)\),
  which has payoff \(\left( \frac {2a} 3 + 1, 3 \right)\),
  Pareto-dominates \(D = (B_1, B_2)\) for all considered \(a\) of this
  case,
\item
  \(a \geq 3\) the strategy profile \((A_1, A_2)\) is Pareto-optimal and
  \textbf{is} a pure Nash equilibrium. Again, it can be easily shown
  from (\ref{eq-mixed-pareto}) that \((A_1, A_2)\) Pareto-dominates both
  \((B_1, B_2)\) and the mixed Nash equilibrium \(\sigma^*_m\).
\end{itemize}

\begin{figure}

\begin{minipage}[t]{0.50\linewidth}

{\centering 

\raisebox{-\height}{

\includegraphics{hw1_files/mediabag/hw1_files/figure-pdf/fig-convex-hulls-output-1.pdf}

}

}

\subcaption{\label{fig-convex-hulls-1}\(a = -1.5 \in (-\infty, -1)\)}
\end{minipage}%
%
\begin{minipage}[t]{0.50\linewidth}

{\centering 

\raisebox{-\height}{

\includegraphics{hw1_files/mediabag/hw1_files/figure-pdf/fig-convex-hulls-output-2.pdf}

}

}

\subcaption{\label{fig-convex-hulls-2}\(a = -0.5 \in [-1, 0]\)}
\end{minipage}%
\newline
\begin{minipage}[t]{0.50\linewidth}

{\centering 

\raisebox{-\height}{

\includegraphics{hw1_files/mediabag/hw1_files/figure-pdf/fig-convex-hulls-output-3.pdf}

}

}

\subcaption{\label{fig-convex-hulls-3}\(a = 2 \in (0,3)\)
(\(\sigma_m^*\) does not exist here)}
\end{minipage}%
%
\begin{minipage}[t]{0.50\linewidth}

{\centering 

\raisebox{-\height}{

\includegraphics{hw1_files/mediabag/hw1_files/figure-pdf/fig-convex-hulls-output-4.pdf}

}

}

\subcaption{\label{fig-convex-hulls-4}\(a = 3.5 \in [3, \infty)\)}
\end{minipage}%

\caption{\label{fig-convex-hulls}Convex hulls in \(u_1, u_2\)-plane}

\end{figure}

\end{solution}

\begin{exercise}[]\protect\hypertarget{exr-fifth}{}\label{exr-fifth}

Prove or disprove:

\begin{enumerate}
\def\labelenumi{\alph{enumi})}
\tightlist
\item
  IESDS creates no new Nash equilibria in any game with finitely many
  strategies.
\item
  IESDS creates no new Nash equilibria in any game.
\end{enumerate}

\end{exercise}

\begin{solution}

First, we shall focus on the part a. of Exercise~\ref{exr-fifth}.
Consider a game
\(G = G_{DS}^{0} = \left( N, (S_i)_{i \in N}, (u_i)_{i \in N} \right)\),
where \(N = \left\{1, 2\right\}\), \(S_i = D_i^0\) is a \textbf{finite}
set of pure strategies of player \(i\) for every \(i \in N\), and lastly
\(u_i\) are their utility functions. Moreover, denote by \(G_{DS}^{k}\)
a game corresponding to the \(k\)-th iteration of IESDS. A game
\(G_{DS}^{k+1}\) is obtained from \(G_{DS}^{k}\) by restricting
strategies \(D_i^k\) of player \(i\) to \(D_i^{k+1}\), where
\(D_i^{k+1}\) is the set of all pure strategies of player \(i\) that are
not strictly dominated in \(G_{DS}^{k}\). As such,
\(D_i^{k+1} \subseteq D_i^k\) can be easily obtained for every player
\(i \in N\).

Now consider a pure Nash equilibrium \(s^* = (s_1^*, s_2^*)\) in the
game \(G_{DS}^{k+1}\), where \(s_i^* \in D_i^{k+1}\) for every player
\(i \in N\). Surely, \(s^*\) is a valid strategy profile in
\(G_{DS}^{k}\) and also \(s_i^* \in D_i^k\) for both players. Assume
\(s^*\) is \textbf{not} a pure Nash equilbrium in \(G_{DS}^{k}\),
i.e.~there exists player \(j\) and their strategy \(s_j\) such that
\(u_j(s_j, s^*_{-j}) > u_j(s_j^*, s^*_{-j})\). For a finite \(D_j^k\),
we can choose \(s_j \in D_j^k\) (under our assumptions) such that
\(s_j\) is \textbf{not} dominated in \(G_{DS}^{k}\). Hence \(s_j\)
survives IESDS, i.e.~\(s_j \in D_j^{k+1}\). But then \(s^*\) is not a
Nash equilibrium in \(G_{DS}^{k+1}\), which is a contradiction. Thus
\(s^*\) must be a pure Nash equilibrium in \(G_{DS}^{k}\).

Let us now focus on the second part. Assume that
\(s^* = (s_1^*, s_2^*) \in D_1^{k+1} \times D_2^{k+1}\) is a Nash
equilibrium in \(G_{DS}^{k+1}\). From the proof above, we can deduce the
following must happen in order for IESDS to create a new Nash
equilibrium:

\begin{enumerate}
\def\labelenumi{\arabic{enumi}.}
\tightlist
\item
  there must exist a strategy \(s_j \in D_j^k\) for player \(j\), WLOG
  say \(j = 1\), such that
  \begin{equation}\protect\hypertarget{eq-exists-better}{}{
   u_1(s_1, s^*_2) > u_1(s_1^*, s_2^*)
   }\label{eq-exists-better}\end{equation} for \(s_1 \in D_1^k\).
\item
  every possible \(s_1\) in the previous condition
  (\ref{eq-exists-better}) must be dominated by some other
  \(s_1' \in D_1^k\)

  \begin{itemize}
  \tightlist
  \item
    if there was \(s_1\) not dominated, it would survive IESDS and hence
    \(s^*\) would not be a Nash equilibrium
  \end{itemize}
\item
  the Nash equilibrium strategy \(s_1^*\) must \textbf{not} be
  dominated, so that it survives IESDS
\end{enumerate}

From the definition of a strictly dominated strategy follows that
\(s_1' \succ s_1\) iff
\begin{equation}\protect\hypertarget{eq-alt-dominated}{}{
u_1(s_1', s_2) > u_1(s_1, s_2)
}\label{eq-alt-dominated}\end{equation} for every \(s_2 \in D_2^k\).
Putting together (\ref{eq-exists-better}) and (\ref{eq-alt-dominated})
we obtain \begin{equation}\protect\hypertarget{eq-domination-chain}{}{
u_1(s_1', s^*_2) > u_1(s_1, s^*_2) > u_1(s_1^*, s_2^*).
}\label{eq-domination-chain}\end{equation}

The third condition leads to the necessity of the existence of some
\(s_2' \in D_2^k\) for every \(s_1 \in D_1^k\) satisfying
(\ref{eq-exists-better}) such that
\begin{equation}\protect\hypertarget{eq-exists-worse}{}{
u_1(s_1, s_2') \leq u_1(s_1^*, s_2').
}\label{eq-exists-worse}\end{equation}

From equations (\ref{eq-domination-chain}) and (\ref{eq-exists-better})
follows that \(u_1(\cdot, s_2^*)\) for a fixed \(s_2^* \in D_2^k\) must
have a (global) minimum in \(s_1^*\). On the other hand, equation
(\ref{eq-exists-worse}) leads to \(u_1(\cdot, s_2')\) for a (possibly
different) fixed \(s_2' \in D_2^k\) having a (global) maximum at
\(s_1^*\).

Consider now \(D_1^k = D_2^k = \mathbb{R}^+_0\) and utility functions,
see Figure~\ref{fig-utils}, \[
\begin{aligned}
    u_1(s_1, s_2) &= \begin{cases}
        1, & s_1 = 0 \land s_2 \neq 0, \\
        \frac 2 {\pi} \arctan(s_1), & \text{otherwise}
    \end{cases} \\
    &\& \\
    u_2(s_1, s_2) &= 
    \begin{cases}
        1, & s_1 \neq 0 \land s_2 = 0, \\
        \frac 2 {\pi} \arctan(s_2), & \text{otherwise}
    \end{cases}.
\end{aligned}
\]

Notice for both players \(s_i\) is dominated iff \(s_i > 0\), since
\(\arctan\) is strictly increasing. At the same time, both players
playing rationally should deviate from \(s^* = (0,0)\). Therefore after
IESDS, \(G_{DS}^{k+1}\) will have strategy sets
\(D_1^{k+1} = D_2^{k+1} = \left\{0\right\}\) and \((0,0)\) must be a
Nash equilibrium.

\end{solution}

\begin{figure}

\begin{minipage}[t]{0.50\linewidth}

{\centering 

\raisebox{-\height}{

\includegraphics{hw1_files/mediabag/hw1_files/figure-pdf/fig-utils-output-1.pdf}

}

}

\subcaption{\label{fig-utils-1}\(s_2 = 0\)}
\end{minipage}%
%
\begin{minipage}[t]{0.50\linewidth}

{\centering 

\raisebox{-\height}{

\includegraphics{hw1_files/mediabag/hw1_files/figure-pdf/fig-utils-output-2.pdf}

}

}

\subcaption{\label{fig-utils-2}\(s_2 = 1\)}
\end{minipage}%

\caption{\label{fig-utils}Utility function \(u_1(s_1, s_2)\) in \(s_1\)
for a fixed \(s_2\)}

\end{figure}



\end{document}
